Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
ParameterContainer Class Reference

ParameterContainer。
Is used by attaching to GameObject. More...

Inheritance diagram for ParameterContainer:

## Additional Inherited Members
Public Member Functions inherited from ParameterContainerInternal
Parameter | GetParameterFromIndex (int index)
| Get Parameter from index. More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| Add a parameter. More...
Parameter | GetParam (string name)
| Get the parameters from the name. More...
int | GetParamID (string name)
| Get the parameters ID from the name. More...
Parameter | GetParam (int id)
| Get the parameters from the ID. More...
void | DeleteParam (Parameter parameter)
| Delete a parameter. More...
void | DeleteParam (string name)
| Delete the parameters by name. More...
void | DeleteParam (int id)
| Delete the parameters by ID. More...
string | MakeUniqueName (string name)
| It generates a name that does not overlap. More...
bool | SetFloat (string name, float value)
| It wants to set the value of the Float type. More...
bool | SetFloat (int id, float value)
| It wants to set the value of the Float type. More...
bool | GetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | GetFloat (int id, out float value)
| Get the value of the Float type. More...
bool | SetInt (string name, int value)
| It wants to set the value of the Int type. More...
bool | SetInt (int id, int value)
| It wants to set the value of the Int type. More...
bool | GetInt (string name, out int value)
| Get the value of the Int type. More...
bool | GetInt (int id, out int value)
| Get the value of the Int type. More...
bool | SetLong (string name, long value)
| It wants to set the value of the Long type. More...
bool | SetLong (int id, long value)
| It wants to set the value of the Long type. More...
bool | GetLong (string name, out long value)
| Get the value of the Long type. More...
bool | GetLong (int id, out long value)
| Get the value of the Long type. More...
bool | SetBool (string name, bool value)
| It wants to set the value of the Bool type. More...
bool | SetBool (int id, bool value)
| It wants to set the value of the Bool type. More...
bool | GetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | SetString (string name, string value)
| It wants to set the value of the String type. More...
bool | SetString (int id, string value)
| It wants to set the value of the String type. More...
bool | GetString (string name, out string value)
| Get the value of the String type. More...
bool | GetString (int id, out string value)
| Get the value of the String type. More...
bool | SetGameObject (string name, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | SetGameObject (int id, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | GetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | GetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
bool | SetVector2 (string name, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | SetVector2 (int id, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | GetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | GetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | SetVector3 (string name, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | SetVector3 (int id, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | GetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | GetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | SetQuaternion (string name, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | SetQuaternion (int id, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | GetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | SetRect (string name, Rect value)
| It wants to set the value of the Rect type. More...
bool | SetRect (int id, Rect value)
| It wants to set the value of the Rect type. More...
bool | GetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | GetRect (int id, out Rect value)
| Get the value of the Rect type. More...
bool | SetBounds (string name, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | SetBounds (int id, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | GetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | GetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
bool | SetColor (string name, Color value)
| It wants to set the value of the Color type. More...
bool | SetColor (int id, Color value)
| It wants to set the value of the Color type. More...
bool | GetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | GetColor (int id, out Color value)
| Get the value of the Color type. More...
bool | SetTransform (string name, Transform value)
| It wants to set the value of the Transform type. More...
bool | SetTransform (int id, Transform value)
| It wants to set the value of the Transform type. More...
bool | GetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | GetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
bool | SetRectTransform (string name, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | SetRectTransform (int id, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | GetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | SetRigidbody (string name, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | SetRigidbody (int id, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | GetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Parameter | FindParameterContainsVariable (VariableBase variable)
| Acquisition of parameters VariableBase belongs. More...
void | DestroySubComponents ()
| Method to be used internally. More...
Static Public Member Functions inherited from ParameterContainerInternal
static void | Destroy (ParameterContainerInternal parameterContainer)
| Destroy ParameterContainerInternal More...
Properties inherited from ParameterContainerInternal
Parameter[] | parameters`[get]`
| Get an array of parameters. More...
int | parameterCount`[get]`
| Get a count of Parameter. More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| It returns the ParameterContainer entity. More...
ParameterContainerInternal | defaultContainer`[get]`
| It returns the original ParameterContainer. More...

## Detailed Description

ParameterContainer。
Is used by attaching to GameObject.